# Attempt to detect and report secrets leaked into project repositories

'secret-detection':
    image: ${CI_TEMPLATE_REGISTRY_HOST}/security-products/secrets:5

    inherit:
        default: false
    
    extends: .base-stage:test
    
    variables:
        GIT_DEPTH: 50
        SECRET_DETECTION_HISTORIC_SCAN: 'true'
    
    script:
      - /analyzer run
    
    artifacts:
        reports:
            secret_detection: gl-secret-detection-report.json
    
    allow_failure: true
